[test] Run shaping tests with both ot and ft funcs

This commit is contained in:
Khaled Hosny 2017-11-01 12:06:59 +02:00 committed by Behdad Esfahbod
parent 70137e2b4b
commit f1245013bf
1 changed files with 16 additions and 5 deletions

View File

@ -27,18 +27,29 @@ for f in "$@"; do
continue
fi
$reference || echo "hb-shape $fontfile $options --unicodes $unicodes"
glyphs=`$hb_shape "$srcdir/$fontfile" $options --unicodes "$unicodes"`
glyphs1=`$hb_shape --font-funcs=ft "$srcdir/$fontfile" $options --unicodes "$unicodes"`
if test $? != 0; then
echo "hb-shape failed." >&2
echo "hb-shape --font-funcs=ft failed." >&2
fails=$((fails+1))
#continue
fi
glyphs2=`$hb_shape --font-funcs=ot "$srcdir/$fontfile" $options --unicodes "$unicodes"`
if test $? != 0; then
echo "hb-shape --font-funcs=ot failed." >&2
fails=$((fails+1))
#continue
fi
if ! test "x$glyphs1" = "x$glyphs2"; then
echo "FT funcs: $glyphs1" >&2
echo "OT funcs: $glyphs2" >&2
fails=$((fails+1))
fi
if $reference; then
echo "$fontfile:$options:$unicodes:$glyphs"
echo "$fontfile:$options:$unicodes:$glyphs1"
continue
fi
if ! test "x$glyphs" = "x$glyphs_expected"; then
echo "Actual: $glyphs" >&2
if ! test "x$glyphs1" = "x$glyphs_expected"; then
echo "Actual: $glyphs1" >&2
echo "Expected: $glyphs_expected" >&2
fails=$((fails+1))
fi